(function($) {
    "use strict";
    tinymce.create('tinymce.plugins.zfwa_wp_category_accordion', {
        url : '',

        init : function(ed, url) {

            this.url = url;
        },


        createControl : function(n, cm) {

            if(n=="zfwa_wp_category_accordion") {

                var btn = cm.createSplitButton('zfwa_wp_category_accordion', {
                    title: "Posts/Pages Accordion",
                    icons: false
                });

                var a = this;
                btn.onRenderMenu.add(function ( c, b )
                {
                    a.addShortcode( b, "Basic", "[zfwa title=\"\" post_type=\"post\" number=\"10\"]", 'zfwa' );
                    a.addShortcode( b, "Several options", "[zfwa title=\"\" post_type=\"post\" speed=\"slow\" event_type=\"click\" arrow_alignment=\"right\" theme=\"classic\" orderby=\"date\" order=\"desc\" exclude=\"\" include=\"\" open_default=\"\" number=\"10\" ripple_effect=\"true\" toggle=\"false\" show_image=\"true\"]", 'zfwa' );
                });

                return btn;

            }

            return null;
        },

        addShortcode: function ( ed, title, sc) {
            ed.add({
                title: title,
                onclick: function () {
                    tinyMCE.activeEditor.execCommand( "mceInsertContent", false, sc )
                },
                icon : false
            })
        },

    });

    // Register plugin
    tinymce.PluginManager.add( 'zfwa_wp_category_accordion', tinymce.plugins.zfwa_wp_category_accordion );
})(jQuery);